hpp-corbaserver: PathValidation Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
PathValidation Class Reference

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for PathValidation:
[legend]
Collaboration diagram for PathValidation:
[legend]

## Public Types
typedef PathValidation_ptr | _ptr_type
typedef PathValidation_var | _var_type

## Public Member Functions
virtual | ~PathValidation ()
inline ::hpp::core_idl::PathValidation_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef PathValidation_ptr PathValidation::_ptr_type

## ◆ _var_type

typedef PathValidation_var PathValidation::_var_type

## Constructor & Destructor Documentation

## ◆ ~PathValidation()

virtual PathValidation::~PathValidation | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type PathValidation::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type PathValidation::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void PathValidation::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type PathValidation::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type PathValidation::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::PathValidation_ptr PathValidation::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type PathValidation::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type PathValidation::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* PathValidation::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh